Bug 108675 - Unable to paste twice in input field when specific CSS present
Summary: Unable to paste twice in input field when specific CSS present
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML Editing (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.7
: P2 Minor
Assignee: Nobody
URL: http://jsfiddle.net/x2aYW/
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2013-02-01 12:26 PST by Elias Dawson
Modified: 2013-04-11 17:07 PDT (History)
7 users (show)

See Also:


Attachments
Patch (4.20 KB, patch)
2013-04-11 16:12 PDT, Sukolsak Sakshuwong
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Elias Dawson 2013-02-01 12:26:22 PST
This specific combination of CSS properties on an HTML input field results in pasting text not working after the first time. The first paste works as expected, but subsequent pastes do not display.

Steps to Reproduce:
1. Visit: http://jsfiddle.net/x2aYW/
2. Paste some text into the input text field
3. Try to paste again

Actual Result:
Text from second paste is not displayed.

Expected Result:
Test from second paste is displayed in the input field.

Bug found today in Chrome 24.0.1312.57, Safari Version 6.0.2 (7536.26.17), and WebKit Nightly 537.30+


input {
	    padding: 15px;
	    border-style: none;
	    box-sizing: border-box;
	    font-size: 14px;
	    height: 1.8em;
}

The following changes to the CSS have been found to resolve the problem:

Removing any single CSS property
Changing border-style to any value besides none
Changing the padding value to less than 13px
Changing the font-size value to greater than 17px
Changing the height value to greater than 2.5em

I created a JS fiddle to demonstrate the problem. http://jsfiddle.net/x2aYW/
Comment 1 Ryosuke Niwa 2013-02-03 18:27:04 PST
Confirmed.
Comment 2 Radar WebKit Bug Importer 2013-02-03 18:27:55 PST
<rdar://problem/13141644>
Comment 3 Sukolsak Sakshuwong 2013-04-11 16:12:30 PDT
Created attachment 197692 [details]
Patch
Comment 4 WebKit Commit Bot 2013-04-11 17:07:29 PDT
Comment on attachment 197692 [details]
Patch

Clearing flags on attachment: 197692

Committed r148251: <http://trac.webkit.org/changeset/148251>
Comment 5 WebKit Commit Bot 2013-04-11 17:07:32 PDT
All reviewed patches have been landed.  Closing bug.